$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.9.3-beta-win32.msi' # download url, HTTPS preferred
$url64      = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.9.3-beta-win64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-malos-vision*'
  checksum      = '2CA1F52F173F01E836ED022C980EDCE93073DC9554B6F3C23C444BA6E2854BE8'
  checksum64    = '07764EF6D7BA00C18ABEBFE8A9372F868ED565E23AF033161463A62CA84F3613'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyEnvironmentVariable -VariableName "OPENCV_VIDEOIO_PRIORITY_MSMF" -VariableValue "0" -VariableType Machine
Write-Warning "Remove ${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin from PATH"
$env:PATH = [System.Text.RegularExpressions.Regex]::Replace($env:PATH, [System.Text.RegularExpressions.Regex]::Escape("${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin") + '(?>;)?', '', [System.Text.RegularExpressions.RegexOptions]::IgnoreCase);
Install-ChocolateyPath "${env:ProgramFiles}\AdMobilize\Malos Vision\bin" -PathType 'Machine'
